package com.cm.common.wechat.pojo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: WechatOfficialAccountUserInfo
 * @Description: 微信公众号用户信息
 * @Author: WangGeng
 * @Date: 2020/3/2 12:14 下午
 * @Version: 1.0
 **/
public class WechatOfficialAccountUserInfo {

    private String openid;
    private String nickname;
    private String sex;
    private String province;
    private String city;
    private String country;
    private String headimgurl;
    private String[] privilege;
    private String language;
    private String unionid;
    private Integer errcode;
    private String errmsg;

    public String getOpenid() {
        return openid == null ? "" : openid.trim();
    }

    public void setOpenid(String openid) {
        this.openid = openid;
    }

    public String getNickname() {
        return nickname == null ? "" : nickname.trim();
    }

    public void setNickname(String nickname) {
        this.nickname = nickname;
    }

    public String getSex() {
        return sex == null ? "" : sex.trim();
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public String getProvince() {
        return province == null ? "" : province.trim();
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city == null ? "" : city.trim();
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getCountry() {
        return country == null ? "" : country.trim();
    }

    public void setCountry(String country) {
        this.country = country;
    }

    public String getHeadimgurl() {
        return headimgurl == null ? "" : headimgurl.trim();
    }

    public void setHeadimgurl(String headimgurl) {
        this.headimgurl = headimgurl;
    }

    public String[] getPrivilege() {
        return privilege;
    }

    public void setPrivilege(String[] privilege) {
        this.privilege = privilege;
    }

    public String getLanguage() {
        return language == null ? "" : language.trim();
    }

    public void setLanguage(String language) {
        this.language = language;
    }

    public String getUnionid() {
        return unionid == null ? "" : unionid.trim();
    }

    public void setUnionid(String unionid) {
        this.unionid = unionid;
    }

    public Integer getErrcode() {
        return errcode;
    }

    public void setErrcode(Integer errcode) {
        this.errcode = errcode;
    }

    public String getErrmsg() {
        return errmsg == null ? "" : errmsg.trim();
    }

    public void setErrmsg(String errmsg) {
        this.errmsg = errmsg;
    }
}
